Edit an existing Group Contact
curl --request PUT \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"phone_number": "+15555551212",
"primary_contact": true,
"title": "Engineer",
"types": []
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}"
payload = {
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"phone_number": "+15555551212",
"primary_contact": True,
"title": "Engineer",
"types": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'catherine.briggs@example.com',
first_name: 'Catherine',
last_name: 'Briggs',
phone_number: '+15555551212',
primary_contact: true,
title: 'Engineer',
types: []
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'email' => 'catherine.briggs@example.com',
'first_name' => 'Catherine',
'last_name' => 'Briggs',
'phone_number' => '+15555551212',
'primary_contact' => true,
'title' => 'Engineer',
'types' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}"
payload := strings.NewReader("{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}"
response = http.request(request)
puts response.read_body{
"created": 1557512389,
"email": "davidsmith@testcorp.com",
"first_name": "David",
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "c2f5489d-36d1-4fb0-bf9f-105ad5dd0b3e",
"last_name": "Smith",
"modified": 1543215342,
"phone_number": "+14255551234",
"primary_contact": true,
"title": "Chief People Officer",
"types": [
"company",
"billing",
"executive"
],
"version": "ef3fef8d-4889-40f4-a0f8-377b9dd23d98"
}Contacts
Edit Contact
Edit a specific contact.
PUT
/
api
/
v1
/
groups
/
{group_id}
/
contacts
/
{contact_id}
/
{version}
Edit an existing Group Contact
curl --request PUT \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"phone_number": "+15555551212",
"primary_contact": true,
"title": "Engineer",
"types": []
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}"
payload = {
"carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "catherine.briggs@example.com",
"first_name": "Catherine",
"last_name": "Briggs",
"phone_number": "+15555551212",
"primary_contact": True,
"title": "Engineer",
"types": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'catherine.briggs@example.com',
first_name: 'Catherine',
last_name: 'Briggs',
phone_number: '+15555551212',
primary_contact: true,
title: 'Engineer',
types: []
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'email' => 'catherine.briggs@example.com',
'first_name' => 'Catherine',
'last_name' => 'Briggs',
'phone_number' => '+15555551212',
'primary_contact' => true,
'title' => 'Engineer',
'types' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}"
payload := strings.NewReader("{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups/{group_id}/contacts/{contact_id}/{version}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"catherine.briggs@example.com\",\n \"first_name\": \"Catherine\",\n \"last_name\": \"Briggs\",\n \"phone_number\": \"+15555551212\",\n \"primary_contact\": true,\n \"title\": \"Engineer\",\n \"types\": []\n}"
response = http.request(request)
puts response.read_body{
"created": 1557512389,
"email": "davidsmith@testcorp.com",
"first_name": "David",
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "c2f5489d-36d1-4fb0-bf9f-105ad5dd0b3e",
"last_name": "Smith",
"modified": 1543215342,
"phone_number": "+14255551234",
"primary_contact": true,
"title": "Chief People Officer",
"types": [
"company",
"billing",
"executive"
],
"version": "ef3fef8d-4889-40f4-a0f8-377b9dd23d98"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Successful Response - Returns the modified Group Contact
Was this page helpful?
